Bug 1011501 - (qt5-qtaccountsservice) Review Request: qt5-qtaccountsservice - Qt5 - AccountService addon
Review Request: qt5-qtaccountsservice - Qt5 - AccountService addon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2013-09-24 08:41 EDT by Lubomir Rintel
Modified: 2013-11-30 06:49 EST (History)
3 users (show)

See Also:
Fixed In Version: qt5-qtaccountsservice-0.1.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 22:35:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2013-09-24 08:41:58 EDT
SPEC: http://v3.sk/~lkundrak/SPECS/qt5-qtaccountsservice.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/qt5-qtaccountsservice-0.1.0-1.fc20.src.rpm

Description:

Qt-style API for freedesktop.org's AccountsService DBus service (see 
http://www.freedesktop.org/wiki/Software/AccountsService)
Comment 1 Christopher Meng 2013-09-24 08:52:44 EDT
No need to:

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

---

Requires:   %{name} = %{version}-%{release}

Missing ?isa macro

---

Please use github tag:

https://github.com/hawaii-desktop/qt-accountsservice-addon/releases

And rewrite the Source0 tag.

---

Please add a dot at the end of every %description.

And,

%description(devel):

Devel for Qt Account Service Addon


is not good. Please change. (Devel is what when you see a -devel package? ;))

---

Remove rm -rf $RPM_BUILD_ROOT

---

Remove %defattr(-,root,root,-)

---

Keep docs in one line if you want.

---

%{_includedir}/qt5/QtAccountsService/*

Unowned %{_includedir}/qt5/QtAccountsService itself

---
Comment 2 Lubomir Rintel 2013-09-24 12:07:54 EDT
(In reply to Christopher Meng from comment #1)
> No need to:
> 
> Requires(post): /sbin/ldconfig
> Requires(postun): /sbin/ldconfig

Will remove that.

> Requires:   %{name} = %{version}-%{release}
> 
> Missing ?isa macro

Will fix.

> Please use github tag:
> 
> https://github.com/hawaii-desktop/qt-accountsservice-addon/releases
> 
> And rewrite the Source0 tag.

Umm, no. They have incorrect filenames, rendering use of ~/rpmbuild/SOURCES for development of multiple packages useless.

> Please add a dot at the end of every %description.

Will fix

> %description(devel):
> 
> Devel for Qt Account Service Addon
> 
> 
> is not good. Please change. (Devel is what when you see a -devel package? ;))

Will fix.

> Remove rm -rf $RPM_BUILD_ROOT

Will do.

> Remove %defattr(-,root,root,-)

Ditto.

> Keep docs in one line if you want.

I find it more readable as it is.

> %{_includedir}/qt5/QtAccountsService/*
> 
> Unowned %{_includedir}/qt5/QtAccountsService itself

Will fix.
Comment 4 Christopher Meng 2013-09-25 19:27:43 EDT
You still leave 

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

in -devel sub, please remove them also.

I will paste my review later cuz I have some issues with my mock. Please fix above in the next review.
Comment 5 Christopher Meng 2013-09-25 19:38:22 EDT
[?]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/cmake/Qt5AccountsService,
     /usr/include/qt5/QtAccountsService, /usr/lib/qt5/qml/QtAccountsService
[?]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/include/qt5/QtAccountsService, /usr/lib/cmake/Qt5AccountsService,
     /usr/lib/qt5/qml/QtAccountsService


---


qt5-qtaccountsservice.i686: W: unused-direct-shlib-dependency /usr/lib/libQt0AccountsService.so.0.1.0 /lib/libGL.so.1
qt5-qtaccountsservice.i686: W: unused-direct-shlib-dependency /usr/lib/libQt0AccountsService.so.0.1.0 /lib/libm.so.6
qt5-qtaccountsservice.i686: W: unused-direct-shlib-dependency /usr/lib/libQt0AccountsService.so.0.1.0 /lib/libgcc_s.so.1
Comment 6 Kevin Kofler 2013-09-26 18:57:14 EDT
> libQt0AccountsService

WTF?! Looks like upstream's build system is really messed up there, they should probably be producing a libQt5AccountsService.so or a libQtAccountsService.so. There's no "Qt0". But I guess they won't be willing to fix that now that they have been shipping several releases with that bad soname. :-(
Comment 7 Kevin Kofler 2013-09-26 19:01:55 EDT
… or a libQtAccountsService0.so, maybe.

Actually, this is not part of official Qt and still at version 0.1.0, so they MIGHT be willing to rename their soname to something that makes more sense.
Comment 8 Lubomir Rintel 2013-10-15 12:04:00 EDT
Christopher: Unowned directories and unused libs fixed.

Kevin: Don't be much worried about it, it's just a version number. It's not a part of Qt which is why is it inconsidtently named. It might be aligned with official Qt if it gets included in official Qt module list.

SPEC: http://v3.sk/~lkundrak/SPECS/qt5-qtaccountsservice.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/qt5-qtaccountsservice-0.1.0-3.fc20.src.rpm
Comment 9 Kevin Kofler 2013-10-15 13:49:01 EDT
Well, everything will need to be rebuilt if they fix their library name.
Comment 10 Lubomir Rintel 2013-10-15 15:24:31 EDT
(In reply to Kevin Kofler from comment #9)
> Well, everything will need to be rebuilt if they fix their library name.

I believe there's no need for a concern now, we can hande a rebuild and they are likely to polish the API/ABI anyway with a major verison bump.
Comment 11 Lubomir Rintel 2013-11-06 14:26:01 EST
Ping?
Comment 12 Christopher Meng 2013-11-08 07:32:02 EST
I'm limited to a slow connection from now on(not sure how long will it exist). Sorry.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)". Detailed output of licensecheck in
     /home/rpmaker/Desktop/qt5-qtaccountsservice/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qt5
     -qtaccountsservice-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: qt5-qtaccountsservice-0.1.0-3.fc21.i686.rpm
          qt5-qtaccountsservice-devel-0.1.0-3.fc21.i686.rpm
          qt5-qtaccountsservice-0.1.0-3.fc21.src.rpm
qt5-qtaccountsservice.i686: W: spelling-error Summary(en_US) addon -> ad don, ad-don, add on
qt5-qtaccountsservice.i686: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
qt5-qtaccountsservice.i686: W: spelling-error %description -l en_US org's -> orgy's, Borg's, ore's
qt5-qtaccountsservice-devel.i686: W: no-documentation
qt5-qtaccountsservice.src: W: spelling-error Summary(en_US) addon -> ad don, ad-don, add on
qt5-qtaccountsservice.src: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
qt5-qtaccountsservice.src: W: spelling-error %description -l en_US org's -> orgy's, Borg's, ore's
qt5-qtaccountsservice.src: W: invalid-url Source0: qt-accountsservice-addon-0.1.0.tar.gz
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint qt5-qtaccountsservice-devel qt5-qtaccountsservice
qt5-qtaccountsservice-devel.i686: W: no-documentation
qt5-qtaccountsservice.i686: W: spelling-error Summary(en_US) addon -> ad don, ad-don, add on
qt5-qtaccountsservice.i686: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
qt5-qtaccountsservice.i686: W: spelling-error %description -l en_US org's -> orgy's, Borg's, ore's
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
qt5-qtaccountsservice-devel (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/pkg-config
    libQt0AccountsService.so.0
    pkgconfig(Qt5Core)
    pkgconfig(Qt5DBus)
    pkgconfig(Qt5Gui)
    qt5-qtaccountsservice

qt5-qtaccountsservice (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQt0AccountsService.so.0
    libQt5Core.so.5
    libQt5DBus.so.5
    libQt5Gui.so.5
    libQt5Qml.so.5
    libc.so.6
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)



Provides
--------
qt5-qtaccountsservice-devel:
    pkgconfig(Qt0AccountsService)
    qt5-qtaccountsservice-devel
    qt5-qtaccountsservice-devel(x86-32)

qt5-qtaccountsservice:
    libQt0AccountsService.so.0
    libdeclarative_accountsservice.so
    qt5-qtaccountsservice
    qt5-qtaccountsservice(x86-32)



Unversioned so-files
--------------------
qt5-qtaccountsservice: /usr/lib/qt5/qml/QtAccountsService/libdeclarative_accountsservice.so

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn qt5-qtaccountsservice-0.1.0-3.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

--------------------
PACKAGE APPROVED.
Comment 13 Lubomir Rintel 2013-11-08 11:16:20 EST
New Package SCM Request
=======================
Package Name: qt5-qtaccountsservice
Short Description: Qt5 - AccountService addon
Owners: lkundrak cicku rdieter than jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20 el6
Comment 14 Gwyn Ciesla 2013-11-08 12:06:47 EST
Git done (by process-git-requests).
Comment 15 Lubomir Rintel 2013-11-08 12:54:57 EST
Imported and built.
Thank you!
Comment 16 Fedora Update System 2013-11-08 12:56:02 EST
qt5-qtconfiguration-0.1.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtconfiguration-0.1.0-3.fc20
Comment 17 Fedora Update System 2013-11-09 16:40:34 EST
qt5-qtconfiguration-0.1.0-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 18 Fedora Update System 2013-11-23 22:35:35 EST
qt5-qtconfiguration-0.1.0-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 19 Kevin Kofler 2013-11-30 06:49:17 EST
That was the wrong package. ;-) But qt5-qtaccountsservice-0.1.0-3.fc20 is also stable now.

Note You need to log in before you can comment on or make changes to this bug.